﻿using System;
using System.Collections.Generic;
using System.Text;
using System.IO.Ports;

namespace SimpleSerialVixen
{
    class SerialPortParms
    {
    // Fields
        private string m_portName;
    private int m_baud;
    private int m_dataBits;
    private Parity m_parity;
    private short m_port;
    private StopBits m_stopBits;

    // Methods
    public SerialPortParms(string name, short port, int baud, int dataBits, StopBits stopBits, Parity parity)
    {
        PortName = name;
        this.m_port = port;
        this.m_baud = baud;
        this.m_dataBits = dataBits;
        this.m_stopBits = stopBits;
        this.m_parity = parity;
    }


    // Properties
    public int Baud
    {
        get { return m_baud; }
        set { m_baud = value; }
    }
    
        public int DataBits
    {
        get { return m_dataBits; }
        set { m_dataBits = value; } 
    }
    
        public string DetailString
    {
        get { return string.Format("Baud: {0}\nParity: {1}\nData bits: {2}\nStop bits: {3}", new object[] { this.m_baud, this.m_parity, this.m_dataBits, this.m_stopBits }); }
    }

    public Parity Parity { get { return m_parity; } set { m_parity = value; } }
    public short Port { get { return m_port; } set { m_port = value; } }
    public StopBits StopBits { get { return m_stopBits; } set { m_stopBits = value; } }
    public string PortName 
    {
        get { return m_portName; }
        set { m_portName = value; } 
    }
    }
}
